/* commongui.h
 * This file is part of Vara digital painting program
 * Copyright 2021, 2023, 2024, 2025 Nandakumar Edamana
 * Distributed under GNU General Public License, version 3
 */ 

#ifndef N96_DRAW_commongui_h
#define N96_DRAW_commongui_h

typedef struct _ngg_vtab_t_ngg_custwid _ngg_vtab_t_ngg_custwid;
typedef struct NggGuiStringReader NggGuiStringReader;
typedef struct _ngg_tuple_ngg_coords_from_event _ngg_tuple_ngg_coords_from_event;
#include <string.h>
#include <stdlib.h>
#include <stdio.h>
#include <gtk/gtk.h>
#include <cairo.h>
struct _ngg_vtab_t_ngg_custwid {
	void *clsobj;
};

GtkEntryCompletion * gtk_entry_completion_new();
struct NggGuiStringReader {
	const char * str;
};

void gtk_menu_shell_append(GtkMenuShell *shell, GtkWidget *chld);
struct _ngg_tuple_ngg_coords_from_event {
	double m0;
	double m1;
};

void gui_quit();
void ngg_gui_string_reader_construct(NggGuiStringReader *this, const char * str);
const char * ngg_gui_string_reader_get_utf8_string(NggGuiStringReader *this);
void ngg_gui_string_reader_destruct(NggGuiStringReader *this);
void dummyfun();
GtkLabel * label_with_text_new(const char * txt);
int list_index_from_selected_row(GtkListBoxRow *row);
_ngg_tuple_ngg_coords_from_event ngg_coords_from_event(GdkEvent *event);
_ngg_tuple_ngg_coords_from_event _ngg_tuple_ngg_coords_from_event_default();

#endif /* N96_DRAW_commongui_h */
