/* commongui.c
 * This file is part of Vara digital painting program
 * Copyright 2021, 2023, 2024, 2025 Nandakumar Edamana
 * Distributed under GNU General Public License, version 3
 */ 

#include <assert.h>
#include <stdarg.h>
#include <stdbool.h>

#include "commongui.h"


void gui_quit()
{
	gtk_main_quit();
}

void ngg_gui_string_reader_construct(NggGuiStringReader *this, const char * str)
{
	this->str = str;
}

const char * ngg_gui_string_reader_get_utf8_string(NggGuiStringReader *this)
{
	return this->str;
}

void ngg_gui_string_reader_destruct(NggGuiStringReader *this)
{
}

void dummyfun()
{
}

GtkLabel * label_with_text_new(const char * txt)
{
	return (GtkLabel *) gtk_label_new(txt);
}

int list_index_from_selected_row(GtkListBoxRow *row)
{
		return (int) (gtk_list_box_row_get_index(row));
}

_ngg_tuple_ngg_coords_from_event ngg_coords_from_event(GdkEvent *event)
{
	double x = 0.0;
	double y = x;

	gdk_event_get_coords(event, &x, &y);

	return (_ngg_tuple_ngg_coords_from_event){x, y};
}

_ngg_tuple_ngg_coords_from_event _ngg_tuple_ngg_coords_from_event_default()
{
	_ngg_tuple_ngg_coords_from_event s;
	s.m0 = 0.0;
	s.m1 = 0.0;
	return s;
}
